#!/bin/sh

set -eu
cd "$(dirname "$0")"
pwd
(
    cd ..
    dotnet build
)
pwd
mkdir -p ./cache ./config/plugins/jellyfin-smart-playlist
cp ../bin/Debug/net8.0/jellyfin-smart-playlist.dll ./config/plugins/jellyfin-smart-playlist/
docker run --rm --user "$(id -u):$(id -g)" \
    -v ./cache:/cache \
    -v ./config:/config \
    -p 8096:8096 \
    jellyfin/jellyfin
